# AIAI CLI

AIAI CLI is a powerful tool designed to optimize AI agents through rule extraction and automated analysis. It helps identify optimization opportunities in your agent code and provides actionable recommendations.

## Key Features

- **Agent Optimization**: Automatically analyze your agent code to identify optimization opportunities
- **Rule Extraction**: Extract optimization rules from agent execution traces
- **Synthetic Data Generation**: Generate diverse test cases to exercise your agent
- **Built-in Demo**: Includes a demo email agent for experimentation
- **Comprehensive Analysis**: Visual reports and actionable recommendations

## Getting Started

Get up and running quickly with AIAI CLI:

```bash
# Install the AIAI CLI tool
pip install aiai-cli

# Run the optimization on a demo agent
aiai optimize
```

For detailed installation instructions, visit the [Installation](getting-started/installation.md) page.

## Why AIAI CLI?

AIAI CLI helps you improve the efficiency, reliability, and performance of your AI agents by:

1. Analyzing execution patterns across multiple runs
2. Identifying bottlenecks and optimization opportunities
3. Providing concrete, actionable recommendations
4. Generating comprehensive reports with confidence scores

Learn more about the [concepts behind AIAI CLI](concepts/rule-extraction.md) and how it can help optimize your agents.
